[arch-commits] Commit in deluge/trunk (PKGBUILD deluge-web deluge.install deluged)

Ionut Biru ibiru at archlinux.org
Sat Feb 20 23:17:13 UTC 2010


    Date: Saturday, February 20, 2010 @ 18:17:13
  Author: ibiru
Revision: 69546

upgpkg: deluge 1.2.1-1
update to 1.2.1 and added deluge-web daemon script

Added:
  deluge/trunk/deluge-web
Modified:
  deluge/trunk/PKGBUILD
  deluge/trunk/deluge.install
  deluge/trunk/deluged

----------------+
 PKGBUILD       |   16 ++++++++--------
 deluge-web     |   40 ++++++++++++++++++++++++++++++++++++++++
 deluge.install |    2 +-
 deluged        |    2 --
 4 files changed, 49 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-20 21:51:51 UTC (rev 69545)
+++ PKGBUILD	2010-02-20 23:17:13 UTC (rev 69546)
@@ -3,26 +3,25 @@
 # Contributor: Hugo Doria <hugo at archlinux.org>
 
 pkgname=deluge
-pkgver=1.2.0
-pkgrel=2
+pkgver=1.2.1
+pkgrel=1
 pkgdesc="A bittorrent client written with python and pygtk"
 arch=('i686' 'x86_64')
 url="http://deluge-torrent.org/"
 license=('GPL3')
-depends=('pyxdg' 'dbus-python' 'setuptools' 'libtorrent-rasterbar>=0.14.7' 'twisted' 'pyopenssl' 'xdg-utils' 'python-chardet')
+depends=('pyxdg' 'dbus-python' 'setuptools' 'libtorrent-rasterbar>=0.14.9' 'twisted' 'pyopenssl' 'xdg-utils' 'python-chardet')
 makedepends=( 'intltool' 'pygtk' 'librsvg' 'python-mako')
 optdepends=('python-notify: libnotify notifications'
 	    'pygtk: needed for gtk ui'
 	    'librsvg: needed for gtk ui'
 	    'python-mako: needed for web ui')
-source=(http://download.deluge-torrent.org/source/${pkgname}-${pkgver}.tar.bz2 deluged deluged.conf.d)
+source=(http://download.deluge-torrent.org/source/${pkgname}-${pkgver}.tar.bz2 deluged deluged.conf.d deluge-web)
 install=deluge.install
 backup=(etc/conf.d/deluged)
-md5sums=('13ac84e9b5b0293eccb5d89a9fc49461'
-         'a462fc27d283ecec9bbd52b840d27262'
-         '332d23fe0d21ce92b494efd73322856c')
+md5sums=('ea6d6c7af48ca05e4e808c960563d78d' 'e187f10be1f4a445ae1bc76693a16e8a'
+         '332d23fe0d21ce92b494efd73322856c' '25a4c2b62e0e00427dd72247c0da1617')
+
 build() {
-
   cd "${srcdir}/${pkgname}-${pkgver}"
 
   python setup.py build || return 1
@@ -31,5 +30,6 @@
   install -d -m755 "${pkgdir}"/srv/deluge || return 1
   install -D -m644 deluge/data/pixmaps/deluge.svg "${pkgdir}"/usr/share/pixmaps/deluge.svg || return 1
   install -D -m755 "${srcdir}"/deluged "${pkgdir}"/etc/rc.d/deluged || return 1
+  install -D -m755 "${srcdir}"/deluge-web "${pkgdir}"/etc/rc.d/deluge-web || return 1
   install -D -m644 "${srcdir}"/deluged.conf.d "${pkgdir}"/etc/conf.d/deluged || return 1
 }

Added: deluge-web
===================================================================
--- deluge-web	                        (rev 0)
+++ deluge-web	2010-02-20 23:17:13 UTC (rev 69546)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/deluged
+
+[[ -f /var/run/deluge-web.pid ]] && PID=`cat /var/run/deluge-web.pid`
+
+case "$1" in
+  start)
+    stat_busy "Starting Deluge WebUI"
+    [[ -z $PID ]] && su -l -c "/usr/bin/deluge-web -f" $DELUGE_USER
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      echo $(pgrep deluge-web) > /var/run/deluge-web.pid
+      add_daemon deluge-web
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Deluge WebUI"
+    [[ ! -z $PID ]] && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm /var/run/deluge-web.pid
+      rm_daemon deluge-web
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Modified: deluge.install
===================================================================
--- deluge.install	2010-02-20 21:51:51 UTC (rev 69545)
+++ deluge.install	2010-02-20 23:17:13 UTC (rev 69546)
@@ -8,7 +8,7 @@
 
 cat << _EOF
 >>> Deluge's daemon is running default with the "deluge" user. The default download directory is /srv/deluge/.
-    You can change the user by editing /etc/conf.d/deluge
+    You can change the user by editing /etc/conf.d/deluged
 _EOF
 }
 

Modified: deluged
===================================================================
--- deluged	2010-02-20 21:51:51 UTC (rev 69545)
+++ deluged	2010-02-20 23:17:13 UTC (rev 69546)
@@ -39,5 +39,3 @@
 esac
 exit 0
 
-
-




More information about the arch-commits mailing list